import { ModuleWithProviders } from '@angular/core';
import { AutoCompleteConfig } from './interfaces/autocomplete.config';
import * as i0 from "@angular/core";
import * as i1 from "./autocomplete";
import * as i2 from "./components/autocomplete-template";
import * as i3 from "./selected-validator";
import * as i4 from "@angular/common";
import * as i5 from "@angular/cdk/overlay";
import * as i6 from "@angular/cdk/scrolling";
import * as i7 from "../input/index";
import * as i8 from "../loader/index";
import * as i9 from "@angular/forms";
import * as i10 from "../blockui/index";
import * as i11 from "@angular/cdk/a11y";
import * as i12 from "../icons/index";
import * as i13 from "../misc/index";
import * as i14 from "../internals/index";
import * as i15 from "../core/components/filter/filter-container.module";
import * as i16 from "../core/directives/itemSelected/item-selected.module";
export declare class AutoCompleteModule {
    static forRoot(config?: AutoCompleteConfig): ModuleWithProviders<AutoCompleteModule>;
    static ɵfac: i0.ɵɵFactoryDeclaration<AutoCompleteModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<AutoCompleteModule, [typeof i1.TlAutoComplete, typeof i2.TlAutocompleteTemplate, typeof i3.SelectedValidatorDirective], [typeof i4.CommonModule, typeof i5.OverlayModule, typeof i6.ScrollingModule, typeof i7.InputModule, typeof i8.LoaderModule, typeof i9.FormsModule, typeof i10.BlockUIModule, typeof i11.A11yModule, typeof i12.IconsModule, typeof i13.MiscModule, typeof i9.ReactiveFormsModule, typeof i14.InternalsModule, typeof i15.FilterContainerModule, typeof i16.ItemSelectedModule], [typeof i1.TlAutoComplete, typeof i2.TlAutocompleteTemplate, typeof i3.SelectedValidatorDirective]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<AutoCompleteModule>;
}
//# sourceMappingURL=index.d.ts.map