import { ComponentFactoryResolver, ElementRef, OnChanges, ViewContainerRef } from '@angular/core';
import { BlockUIConfig } from './blockui-config';
import * as i0 from "@angular/core";
export declare class TlBlockUI implements OnChanges {
    private elementRef;
    private viewContainerRef;
    private compiler;
    tlBlockui: boolean;
    dimensionsFrom: 'parent' | 'client';
    blockuiConfig: BlockUIConfig;
    private overlayElement;
    private overlayElementInstance;
    constructor(elementRef: ElementRef, viewContainerRef: ViewContainerRef, compiler: ComponentFactoryResolver);
    initializeBlockUi(): void;
    private getElementRefFromInstance;
    private getPaddingElementRef;
    private setConfigToElement;
    private createElementInstance;
    private insertElement;
    ngOnChanges(changes: any): void;
    private toggleLoader;
    private show;
    private hide;
    static ɵfac: i0.ɵɵFactoryDeclaration<TlBlockUI, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TlBlockUI, "[tlBlockui]", never, { "tlBlockui": "tlBlockui"; "dimensionsFrom": "dimensionsFrom"; "blockuiConfig": "blockuiConfig"; }, {}, never, never, false, never>;
}
//# sourceMappingURL=blockui.d.ts.map