import { OnDestroy, AfterContentInit, EventEmitter } from '@angular/core';
import { Subject } from 'rxjs';
import * as i0 from "@angular/core";
export declare class TlFilterContainer implements AfterContentInit, OnDestroy {
    constructor();
    set term(searchTerm: string);
    get term(): string;
    source: any[];
    searchBy: string;
    lazyMode: string;
    debounceTime: number;
    filter: EventEmitter<any>;
    filtering: Subject<any>;
    private _term;
    ngAfterContentInit(): void;
    search(searchTerm: string): string | any[];
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TlFilterContainer, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TlFilterContainer, "tl-filter-container", ["filterContainer"], { "term": "searchTerm"; "source": "source"; "searchBy": "searchBy"; "lazyMode": "lazyMode"; "debounceTime": "debounceTime"; }, { "filter": "filter"; }, never, ["*"], false, never>;
}
//# sourceMappingURL=filter-container.d.ts.map