import { EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { I18nService } from '../../../i18n/i18n.service';
import { FilterEventMetadata, FilterMetadata } from '../../metadatas/filter.metadata';
import { TlDatatableColumn } from '../column/datatable-column';
import * as i0 from "@angular/core";
export declare class TlDatatabaleColumnFilter implements OnInit, OnDestroy {
    private i18n;
    tlColumnFilter: TlDatatableColumn[];
    filterEvent: EventEmitter<any>;
    keydownFilterEvent: EventEmitter<any>;
    filters: FilterMetadata;
    get filterPlaceholder(): string;
    get dropdownResetPlaceholder(): string;
    private subject;
    private subscription;
    constructor(i18n: I18nService);
    ngOnInit(): void;
    onKeyDown($event: any): void;
    onChangeFilter(event: any): void;
    onClear(event: any): void;
    makeFilterEvent(): FilterEventMetadata;
    getDefaultMath(column: TlDatatableColumn): any;
    getValueByType(column: TlDatatableColumn): any;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TlDatatabaleColumnFilter, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TlDatatabaleColumnFilter, "[tlColumnFilter]", never, { "tlColumnFilter": "tlColumnFilter"; }, { "filterEvent": "filterEvent"; "keydownFilterEvent": "keydownFilterEvent"; }, never, never, false, never>;
}
//# sourceMappingURL=datatable-column-filter.d.ts.map