import { Subject } from 'rxjs';
import { DomSanitizer } from '@angular/platform-browser';
import { TagContent } from '../interfaces/tag-content';
import { FieldContent } from '../interfaces/field-content';
import * as i0 from "@angular/core";
export declare class EditorService {
    private domSanitizer;
    compileSuject: Subject<unknown>;
    constructor(domSanitizer: DomSanitizer);
    decompile(html: string, tagsContent: TagContent[], fieldsContent: FieldContent[]): Promise<unknown>;
    private getFieldValue;
    compile(html: string, tagsContent: TagContent[], fieldsContent: FieldContent[]): Promise<unknown>;
    private getAttributeValue;
    static ɵfac: i0.ɵɵFactoryDeclaration<EditorService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<EditorService>;
}
//# sourceMappingURL=editor.service.d.ts.map