import { AfterViewInit, ElementRef, OnInit, Renderer2 } from '@angular/core';
import * as i0 from "@angular/core";
export declare class ScrollManager implements OnInit, AfterViewInit {
    private renderer;
    private scrollContainer;
    elementController: HTMLElement;
    listItemHeight: string;
    private cursorIndex;
    private numberItemsContainer;
    private currentScroll;
    constructor(renderer: Renderer2, scrollContainer: ElementRef);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    listenController(): void;
    isArrowUp($event: any): boolean;
    isArrowDown($event: any): boolean;
    onArrowUp(): void;
    setScrollTop(value: number): void;
    onArrowDown(): void;
    getContainerHeight(): any;
    getScrollHeight(): any;
    getScrollTop(): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<ScrollManager, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<ScrollManager, "[scrollManager]", never, { "elementController": "elementController"; "listItemHeight": "listItemHeight"; }, {}, never, never, false, never>;
}
//# sourceMappingURL=scroll-manager.directive.d.ts.map