import { OnInit } from '@angular/core';
import { ModalResult } from '../../core/enums/modal-result';
import { ModalService } from '../services/modal.service';
import { TlButton } from '../../button/button';
import * as i0 from "@angular/core";
export declare class ModalResultDirective implements OnInit {
    private modalService;
    private button;
    mdResult: ModalResult;
    set formResult(value: any);
    get formResult(): any;
    private modalId;
    private _formResult;
    onClick(): void;
    onKeyDown(): void;
    constructor(modalService: ModalService, button: TlButton);
    ngOnInit(): void;
    emitCallback(): Promise<any>;
    getResult(): {
        mdResult: string;
        formResult: any;
    } | {
        mdResult: string;
        formResult?: undefined;
    };
    static ɵfac: i0.ɵɵFactoryDeclaration<ModalResultDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<ModalResultDirective, "[mdResult]", never, { "mdResult": "mdResult"; "formResult": "formResult"; }, {}, never, never, false, never>;
}
//# sourceMappingURL=modal-result.directive.d.ts.map