import { OnInit, SimpleChanges, OnChanges } from '@angular/core';
import * as i0 from "@angular/core";
export declare class TlProgressBar implements OnInit, OnChanges {
    min: number;
    max: number;
    position: number;
    unit: string;
    height: string;
    shape: 'default' | 'rounded';
    progressInfo: 'none' | 'percentage' | 'detailed';
    mode: 'determinate' | 'indeterminate';
    color: 'basic' | 'primary' | 'success' | 'danger' | 'warning' | 'information';
    constructor();
    ngOnInit(): void;
    getProgressDescription(): number;
    ngOnChanges(change: SimpleChanges): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TlProgressBar, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TlProgressBar, "tl-progressbar", never, { "min": "min"; "max": "max"; "position": "position"; "unit": "unit"; "height": "height"; "shape": "shape"; "progressInfo": "progressInfo"; "mode": "mode"; "color": "color"; }, {}, never, never, false, never>;
}
//# sourceMappingURL=progressbar.d.ts.map