import { QueryList, AfterContentInit, OnDestroy } from '@angular/core';
import { TlRadioButton } from './radiobutton';
import { NgControl } from '@angular/forms';
import { ValueAccessorBase } from '../input/core/value-accessor';
import * as i0 from "@angular/core";
export declare class TlRadioGroup extends ValueAccessorBase<string> implements AfterContentInit, OnDestroy {
    ngControl: NgControl;
    labelGroup: string;
    orientation: string;
    colorSelected: string;
    radiobutton: any;
    listRadioButton: QueryList<TlRadioButton>;
    private onCheckRadio;
    private onFocusRadio;
    itemSelected: any;
    name: any;
    tabindex: any;
    private subscription;
    constructor(ngControl: NgControl);
    get control(): import("@angular/forms").AbstractControl<any, any>;
    setControl(): void;
    ngAfterContentInit(): void;
    listenModelChange(): void;
    validateProperty(): void;
    handleInitialValue(): void;
    handleModelValue(): void;
    handleChecked(): void;
    handleKeyDown($event: KeyboardEvent): void;
    setItemChecked(item: any): void;
    checkFirstItem(): void;
    getCheckedRadios(): TlRadioButton[];
    validateCheckedRadios(): void;
    checkRadio(item: any, $event?: any): void;
    focusRadio(item: any): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TlRadioGroup, [{ optional: true; self: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TlRadioGroup, "tl-radio-group", never, { "labelGroup": "labelGroup"; "orientation": "orientation"; "colorSelected": "colorSelected"; }, { "onCheckRadio": "onCheckRadio"; "onFocusRadio": "onFocusRadio"; }, ["listRadioButton"], ["*"], false, never>;
}
//# sourceMappingURL=radiogroup.d.ts.map