import { OnInit, EventEmitter, TemplateRef } from '@angular/core';
import { ViewType } from '../../types/view.type';
import * as i0 from "@angular/core";
export declare class HeadingComponent implements OnInit {
    views: Array<'day' | 'week' | 'month' | 'workWeek' | 'dayList' | 'weekList'>;
    defaultView: 'day' | 'week' | 'month' | 'workWeek' | 'dayList' | 'weekList';
    currentDate: Date;
    texts: {
        views: {
            day: string;
            week: string;
            month: string;
            workWeek: string;
            dayList: string;
            weekList: string;
        };
        buttons: {
            addEvent: string;
        };
        scaleNotFound: string;
    };
    eventButtonTemplate: TemplateRef<any>;
    changeView: EventEmitter<ViewType>;
    changeDate: EventEmitter<any>;
    newEventClick: EventEmitter<any>;
    constructor();
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<HeadingComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<HeadingComponent, "tl-schedule-heading", never, { "views": "views"; "defaultView": "defaultView"; "currentDate": "currentDate"; "texts": "texts"; "eventButtonTemplate": "eventButtonTemplate"; }, { "changeView": "changeView"; "changeDate": "changeDate"; "newEventClick": "newEventClick"; }, never, never, false, never>;
}
//# sourceMappingURL=heading.component.d.ts.map