import { OnInit, SimpleChanges, OnChanges, ChangeDetectorRef, EventEmitter } from '@angular/core';
import { ScheduleDataSource } from '../../types/datasource.type';
import { StatusType } from '../../types/status.type';
import * as i0 from "@angular/core";
export declare class DayListComponent implements OnInit, OnChanges {
    private changeDetectionRef;
    events: ScheduleDataSource[];
    statusConfig: Array<StatusType>;
    currentDate: Date;
    onEventDbClick: EventEmitter<any>;
    onEventClick: EventEmitter<any>;
    onEventMouseover: EventEmitter<any>;
    onEventMouseout: EventEmitter<any>;
    filteredEvents: ScheduleDataSource[];
    constructor(changeDetectionRef: ChangeDetectorRef);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    private filterEvents;
    getDayOfWeek(date: string): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<DayListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DayListComponent, "tl-day-list", never, { "events": "events"; "statusConfig": "statusConfig"; "currentDate": "currentDate"; }, { "onEventDbClick": "onEventDbClick"; "onEventClick": "onEventClick"; "onEventMouseover": "onEventMouseover"; "onEventMouseout": "onEventMouseout"; }, never, never, false, never>;
}
//# sourceMappingURL=day-list.component.d.ts.map