import { AfterContentInit, QueryList, ChangeDetectorRef, EventEmitter } from '@angular/core';
import { TlSplitButtonAction } from './parts/splitbutton-action';
import { ConnectedOverlayPositionChange } from '@angular/cdk/overlay';
import * as i0 from "@angular/core";
export declare class TlSplitButton implements AfterContentInit {
    private change;
    text: string;
    width: string;
    height: string;
    disabled: boolean;
    color: string;
    click: EventEmitter<any>;
    actions: QueryList<TlSplitButtonAction>;
    isOpen: boolean;
    positionOverlay: string;
    listItems: any[];
    constructor(change: ChangeDetectorRef);
    ngAfterContentInit(): void;
    onPositionChange($event: ConnectedOverlayPositionChange): void;
    get disabledActions(): boolean;
    open($event: any): void;
    stopEvent($event: any): void;
    onButtonClick($event: any): void;
    onBackdropClick(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TlSplitButton, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TlSplitButton, "tl-split-button", never, { "text": "text"; "width": "width"; "height": "height"; "disabled": "disabled"; "color": "color"; }, { "click": "click"; }, ["actions"], never, false, never>;
}
//# sourceMappingURL=splitbutton.d.ts.map