import { OnInit, EventEmitter, ChangeDetectorRef, OnDestroy } from '@angular/core';
import { StopwatchService } from './services/stopwatch-service';
import * as i0 from "@angular/core";
export declare class TlStopwatch implements OnInit, OnDestroy {
    private stopWatchService;
    private change;
    color: string;
    width: string;
    height: string;
    resetOnStop: boolean;
    set initialTime(value: string | Date);
    returnTime: EventEmitter<any>;
    currentHour: string;
    private subscription;
    constructor(stopWatchService: StopwatchService, change: ChangeDetectorRef);
    ngOnInit(): void;
    start(): void;
    stop(): void;
    reset(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TlStopwatch, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TlStopwatch, "tl-stopwatch", never, { "color": "color"; "width": "width"; "height": "height"; "resetOnStop": "resetOnStop"; "initialTime": "initialTime"; }, { "returnTime": "returnTime"; }, never, never, false, never>;
}
//# sourceMappingURL=stopwatch.d.ts.map