import { EventEmitter, OnInit } from '@angular/core';
import { ElementBase } from '../input/core/element-base';
import { NgModel } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class TlSwitch extends ElementBase<boolean> implements OnInit {
    label: string;
    labelSize: string;
    tabindex: string;
    disabled: any;
    color: string;
    model: NgModel;
    toggle: EventEmitter<any>;
    focus: EventEmitter<any>;
    private _cheched;
    set checked(value: boolean);
    get checked(): boolean;
    constructor(validators: Array<any>, asyncValidators: Array<any>);
    ngOnInit(): void;
    switchToggle(boolean: any): void;
    emitEvent(): void;
    focusCheckBox(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TlSwitch, [{ optional: true; }, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TlSwitch, "tl-switch", never, { "label": "label"; "labelSize": "labelSize"; "tabindex": "tabindex"; "disabled": "disabled"; "color": "color"; "checked": "checked"; }, { "toggle": "toggle"; "focus": "focus"; }, never, never, false, never>;
}
//# sourceMappingURL=switch.d.ts.map