import { QueryList, AfterContentInit, AfterViewInit, Renderer2 } from '@angular/core';
import { TlTab } from './tab/tab';
import { TlModal } from '../modal/modal';
import * as i0 from "@angular/core";
export declare class TlTabControl implements AfterContentInit, AfterViewInit {
    private renderer;
    height: string;
    tabsHeight: string;
    tabsHeader: any;
    wrapper: any;
    line: any;
    tabs: QueryList<TlTab>;
    modal: QueryList<TlModal>;
    private elementListTabs;
    widthSeparator: string;
    widthTabs: number;
    widthWrapper: number;
    topPosition: number;
    constructor(renderer: Renderer2);
    ngAfterContentInit(): void;
    ngAfterViewInit(): void;
    getTabsComponent(): void;
    listenLastElementTab(last: any, index: any): void;
    listenPreviousElementTab(first: any, index: any): void;
    handleKeyDownLastElementTab($event: any, index: any): void;
    handleKeyDownFirstElementTab($event: any, index: any): void;
    nextTabAndElement(index: any): void;
    previousTabAndElement(index: any): void;
    selectTab(tab: TlTab): void;
    getWrapperWidth(): void;
    getElementList(): void;
    setFocusNext(index: any): void;
    setFocusPrevious(index: any): void;
    setTabProperties(): void;
    setWidthSeparator(): void;
    resetTabsSelected(): void;
    get tabsContext(): {
        tabs: QueryList<TlTab>;
    };
    static ɵfac: i0.ɵɵFactoryDeclaration<TlTabControl, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TlTabControl, "tl-tabcontrol", never, { "height": "height"; "tabsHeight": "tabsHeight"; }, {}, ["tabs"], ["*"], false, never>;
}
//# sourceMappingURL=tabcontrol.d.ts.map