import { OnInit, EventEmitter } from '@angular/core';
import { TlInput } from '../input/input';
import * as i0 from "@angular/core";
export declare class TlTag implements OnInit {
    title: string;
    width: string;
    height: string;
    icon: any;
    mode: 'default' | 'closeable' | 'clickable' | 'editable';
    charcase: 'unset' | 'lowercase' | 'capitalize' | 'uppercase' | 'revert';
    closeOnValueEmited: boolean;
    set color(value: string);
    get color(): string;
    close: EventEmitter<any>;
    tagValue: EventEmitter<any>;
    tlinput: TlInput;
    private _color;
    editing: boolean;
    customColor: string;
    editableValue: string;
    constructor();
    ngOnInit(): void;
    onClose(): void;
    onClickTag(): void;
    onConfirmTextInputed(): void;
    onClearValue(): void;
    onInputValue(value: KeyboardEvent): void;
    private emitEditablevalue;
    private resetInput;
    private hideInput;
    static ɵfac: i0.ɵɵFactoryDeclaration<TlTag, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TlTag, "tl-tag", never, { "title": "title"; "width": "width"; "height": "height"; "icon": "icon"; "mode": "mode"; "charcase": "charcase"; "closeOnValueEmited": "closeOnValueEmited"; "color": "color"; }, { "close": "close"; "tagValue": "tagValue"; }, never, never, false, never>;
}
//# sourceMappingURL=tag.d.ts.map