import { EventEmitter, OnInit } from '@angular/core';
import { LightboxService } from '../lightbox/services/lightbox.service';
import { ImageUploadInterface } from './interfaces/image-upload.interface';
import { I18nService } from '../i18n/i18n.service';
import * as i0 from "@angular/core";
export declare class TlUpload implements OnInit {
    private i18nService;
    private lightboxService;
    type: 'dragndrop' | 'box';
    showAsList: boolean;
    action: string;
    height: string;
    resizeDragndrop: boolean;
    set imageList(value: ImageUploadInterface[]);
    get imageList(): ImageUploadInterface[];
    imageSrc: any;
    imageSrcMimeType: any;
    isLoading: boolean;
    debounce: number;
    deleteControl: boolean;
    viewControl: boolean;
    acceptFiles: string;
    inputMultiple: any;
    inputSingle: any;
    view: EventEmitter<any>;
    uploadChange: EventEmitter<any>;
    deleteChange: EventEmitter<any>;
    updateChange: EventEmitter<any>;
    private filtering;
    private uploading;
    private subscription;
    private _imageList;
    boxDescription: string;
    placeholder: string;
    upload: string;
    constructor(i18nService: I18nService, lightboxService: LightboxService);
    ngOnInit(): void;
    open($event: any): void;
    onDragOver(ev: any): void;
    onDrop(ev: any): void;
    onChangeDescription(): void;
    readFiles(fileList: any): void;
    readFile(file: any, index: any): Promise<unknown>;
    viewImage($event: any, file: any): void;
    remove(file: any, imgSrc: any, event: any): void;
    hasRisize(): boolean;
    onChange($event: any): void;
    private filterFilesAccpet;
    private getBase64MimeType;
    static ɵfac: i0.ɵɵFactoryDeclaration<TlUpload, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TlUpload, "tl-upload", never, { "type": "type"; "showAsList": "showAsList"; "action": "action"; "height": "height"; "resizeDragndrop": "resizeDragndrop"; "imageList": "imageList"; "imageSrc": "imageSrc"; "imageSrcMimeType": "imageSrcMimeType"; "isLoading": "isLoading"; "debounce": "debounce"; "deleteControl": "deleteControl"; "viewControl": "viewControl"; "acceptFiles": "acceptFiles"; }, { "view": "view"; "uploadChange": "uploadChange"; "deleteChange": "deleteChange"; "updateChange": "updateChange"; }, never, never, false, never>;
}
//# sourceMappingURL=upload.d.ts.map