import { AfterViewInit, ElementRef } from '@angular/core';
import { AbstractControl, UntypedFormControl, ValidationErrors, Validator } from '@angular/forms';
import { PasswordRule } from './passwordrule.interface';
import * as i0 from "@angular/core";
export declare class PasswordDirective implements Validator, AfterViewInit {
    private element;
    control: AbstractControl;
    passwordRule: PasswordRule;
    private elementInput;
    constructor(element: ElementRef);
    ngAfterViewInit(): void;
    validate(c: UntypedFormControl): ValidationErrors;
    static ɵfac: i0.ɵɵFactoryDeclaration<PasswordDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<PasswordDirective, "[password][ngModel],[password][formControl],[password][formControlName]", never, { "control": "control"; "passwordRule": "passwordRule"; }, {}, never, never, false, never>;
}
//# sourceMappingURL=password.directive.d.ts.map