import { EventEmitter, OnInit, OnChanges } from '@angular/core';
import * as i0 from "@angular/core";
export declare class TlAvatar implements OnInit, OnChanges {
    shape: string;
    size: string;
    src: string;
    gravatar: string;
    icon: string;
    text: string;
    char: string;
    fontColor: string;
    bgColor: string;
    gender: 'female' | 'male';
    color: string;
    selected: EventEmitter<any>;
    type: string;
    multiplierIcon: any;
    multiplierText: any;
    fontSize: any;
    gravatarImg: any;
    constructor();
    ngOnInit(): void;
    defineType(): void;
    private isSrc;
    private isGravatar;
    private isIcon;
    private isText;
    private isChar;
    private setSrc;
    private setGravatar;
    private setIcon;
    private setText;
    private setChar;
    isPercentage(): boolean;
    private isOneCharacter;
    selectedAvatar($event: any): void;
    ngOnChanges(changes: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TlAvatar, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TlAvatar, "tl-avatar", never, { "shape": "shape"; "size": "size"; "src": "src"; "gravatar": "gravatar"; "icon": "icon"; "text": "text"; "char": "char"; "fontColor": "fontColor"; "bgColor": "bgColor"; "gender": "gender"; "color": "color"; }, { "selected": "selected"; }, never, never, false, never>;
}
//# sourceMappingURL=avatar.d.ts.map