import { EventEmitter, OnInit, SimpleChanges, OnChanges } from '@angular/core';
import { NgControl } from '@angular/forms';
import { ValueAccessorBase } from '../input/core/value-accessor';
import * as i0 from "@angular/core";
export declare class TlCheckBox extends ValueAccessorBase<boolean> implements OnInit, OnChanges {
    ngControl: NgControl;
    set checked(value: boolean);
    get checked(): boolean;
    label: string;
    tabindex: string;
    disabled: any;
    color: string;
    indeterminate: boolean;
    labelWidth: string;
    checkbox: any;
    checkBox: EventEmitter<any>;
    focusBox: EventEmitter<any>;
    private _checked;
    constructor(ngControl: NgControl);
    ngOnInit(): void;
    get control(): import("@angular/forms").AbstractControl<any, any>;
    setControl(): void;
    check(boolean: any): void;
    emitEvent(): void;
    focusCheckBox(): void;
    ngOnChanges(changes: SimpleChanges): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TlCheckBox, [{ optional: true; self: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TlCheckBox, "tl-checkbox", never, { "checked": "checked"; "label": "label"; "tabindex": "tabindex"; "disabled": "disabled"; "color": "color"; "indeterminate": "indeterminate"; "labelWidth": "labelWidth"; }, { "checkBox": "checkBox"; "focusBox": "focusBox"; }, never, never, false, never>;
}
//# sourceMappingURL=checkbox.d.ts.map