import { Hsla, Hsva, Rgba } from './colorpicker-formats';
import * as i0 from "@angular/core";
export declare class ColorPickerHelpers {
    rgbaToHex(rgba: Rgba, allowHex8?: boolean): string;
    hexToRgb(hex: any): Array<number>;
    hexToRgbString(hex: any): string;
    stringToHsva(colorString?: string, allowHex8?: boolean): Hsva | null;
    rgbaToHsva(rgba: Rgba): Hsva;
    hsla2hsva(hsla: Hsla): Hsva;
    static ɵfac: i0.ɵɵFactoryDeclaration<ColorPickerHelpers, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ColorPickerHelpers>;
}
//# sourceMappingURL=colorpicker-helpers.d.ts.map