import { OnInit } from '@angular/core';
import { ColorPickerService } from '../../services/colorpicker-service';
import { ColorPickerHelpers } from '../../helpers/colorpicker-helpers';
import * as i0 from "@angular/core";
export declare class TlColorPickerInput implements OnInit {
    private colorPickerService;
    private colorPickerHelpers;
    selectedColor: string;
    color: string;
    inputElement: any;
    saved: boolean;
    formatColor: boolean;
    private interval;
    constructor(colorPickerService: ColorPickerService, colorPickerHelpers: ColorPickerHelpers);
    ngOnInit(): void;
    getColorFormat(): string;
    copyInputColor(): void;
    showCopyMessage(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TlColorPickerInput, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TlColorPickerInput, "tl-colorpicker-input", never, { "selectedColor": "selectedColor"; "color": "color"; }, {}, never, never, false, never>;
}
//# sourceMappingURL=colorpicker-input.d.ts.map