import { OnInit, Injector, TemplateRef } from '@angular/core';
import * as i0 from "@angular/core";
export declare class TlDatatableColumn implements OnInit {
    private injector;
    field: string;
    title: string;
    alignment: string;
    width: string;
    type: 'text' | 'number' | 'date';
    format: string;
    showFilter: boolean;
    sortable: boolean;
    showFilterOptions: boolean;
    filterOptions: any[];
    template: TemplateRef<any> | null;
    private filterOptionsService;
    constructor(injector: Injector);
    ngOnInit(): void;
    setTitle(): void;
    setFilterOptionsWhenTypeNotDefault(): void;
    setFilterOptions(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TlDatatableColumn, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TlDatatableColumn, "tl-datatable-column", never, { "field": "field"; "title": "title"; "alignment": "alignment"; "width": "width"; "type": "type"; "format": "format"; "showFilter": "showFilter"; "sortable": "sortable"; "showFilterOptions": "showFilterOptions"; "filterOptions": "filterOptions"; }, {}, ["template"], never, false, never>;
}
//# sourceMappingURL=datatable-column.d.ts.map