import { AfterViewInit, ElementRef, OnDestroy, EventEmitter } from '@angular/core';
import type { TlDatatable } from '../../datatable';
import { DatatableHelpersService } from '../../services/datatable-helpers.service';
import { TlDatatableColumn } from '../column/datatable-column';
import * as i0 from "@angular/core";
export declare class TlDatatableHeader implements AfterViewInit, OnDestroy {
    helperService: DatatableHelpersService;
    dt: TlDatatable;
    columnsFilter: any;
    datatableHeader: ElementRef;
    keydownFilter: EventEmitter<any>;
    filterEvent: EventEmitter<any>;
    sortEvent: EventEmitter<any>;
    keydownFilterEvent: EventEmitter<any>;
    private subscription;
    private filderOrder;
    private sortField;
    constructor(helperService: DatatableHelpersService);
    ngAfterViewInit(): void;
    onClick(column: TlDatatableColumn): void;
    getSortOrder(column: any): number;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TlDatatableHeader, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TlDatatableHeader, "tl-datatable-header", never, { "dt": "dt"; }, { "keydownFilter": "keydownFilter"; "filterEvent": "filterEvent"; "sortEvent": "sortEvent"; "keydownFilterEvent": "keydownFilterEvent"; }, never, never, false, never>;
}
//# sourceMappingURL=datatable-header.d.ts.map