import { I18nService } from '../../i18n/i18n.service';
import { DatatableI18nInterface } from '../../i18n/languages/datatable';
import * as i0 from "@angular/core";
export declare class FilterOptionsService {
    private i18n;
    constructor(i18n: I18nService);
    optionDescription(): DatatableI18nInterface;
    getOptionsByType(type: any): Array<any>;
    getOptionsDefault(): {
        description: string;
        valueItem: string;
        icon: string;
    }[];
    getOptionsText(): {
        description: string;
        valueItem: string;
        icon: string;
    }[];
    getOptionsNumber(): {
        description: string;
        valueItem: string;
        icon: string;
    }[];
    getOptionsDate(): {
        description: string;
        valueItem: string;
        icon: string;
    }[];
    static ɵfac: i0.ɵɵFactoryDeclaration<FilterOptionsService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<FilterOptionsService>;
}
//# sourceMappingURL=datatable-filter-options.service.d.ts.map