import { OnInit, AfterViewInit, ChangeDetectorRef } from '@angular/core';
import { ElementBase } from '../input/core/element-base';
import { NgModel } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class TlDropdownIcon extends ElementBase<string> implements OnInit, AfterViewInit {
    private change;
    data: any[];
    disabled: any;
    defaultIcon: string;
    color: string;
    heightIcon: string;
    widthIcon: string;
    heightItems: string;
    widthItems: string;
    keyIcon: string;
    defaultOptionText: string;
    hasDefaultOption: boolean;
    keyText: string;
    keyValue: string;
    model: NgModel;
    optionSelected: any;
    typeOfData: string;
    isOpen: boolean;
    constructor(validators: Array<any>, asyncValidators: Array<any>, change: ChangeDetectorRef);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    onBackdropClick(): void;
    onSelectOption($event: any): void;
    onDefaultOption(): void;
    getIcon(): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<TlDropdownIcon, [{ optional: true; }, { optional: true; }, null]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TlDropdownIcon, "tl-dropdown-icon", never, { "data": "data"; "disabled": "disabled"; "defaultIcon": "defaultIcon"; "color": "color"; "heightIcon": "heightIcon"; "widthIcon": "widthIcon"; "heightItems": "heightItems"; "widthItems": "widthItems"; "keyIcon": "keyIcon"; "defaultOptionText": "defaultOptionText"; "hasDefaultOption": "hasDefaultOption"; "keyText": "keyText"; "keyValue": "keyValue"; }, {}, never, never, false, never>;
}
//# sourceMappingURL=dropdownicon.d.ts.map