import { EventEmitter, OnInit } from '@angular/core';
import { ToolbarConfig } from '../../interfaces/toolbar-config';
import { FieldContent } from '../../interfaces/field-content';
import * as i0 from "@angular/core";
export declare class TlEditorHeader implements OnInit {
    toolbarConfig: ToolbarConfig;
    cursorHighlight: boolean;
    fontSizeCollection: any[];
    fontCollection: any[];
    fields: FieldContent[];
    color: string;
    activeTools: any;
    colorSelected: string;
    fontSelected: string;
    fontSizeSelected: string;
    changeColor: EventEmitter<any>;
    changeFont: EventEmitter<any>;
    changeFontSize: EventEmitter<any>;
    clickUnderline: EventEmitter<any>;
    clickItalic: EventEmitter<any>;
    clickBold: EventEmitter<any>;
    clickHighlight: EventEmitter<any>;
    clickAlignContent: EventEmitter<any>;
    clickUnorderedList: EventEmitter<any>;
    clickOrderedList: EventEmitter<any>;
    clickLink: EventEmitter<any>;
    clickImage: EventEmitter<any>;
    clickQuote: EventEmitter<any>;
    clickClear: EventEmitter<any>;
    clickSave: EventEmitter<any>;
    clickField: EventEmitter<any>;
    set labelAddField(value: string);
    get labelAddField(): string;
    private _labelAddField;
    defaultField: any;
    constructor();
    ngOnInit(): void;
    onChangeField($event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TlEditorHeader, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TlEditorHeader, "tl-editor-header", never, { "toolbarConfig": "toolbarConfig"; "cursorHighlight": "cursorHighlight"; "fontSizeCollection": "fontSizeCollection"; "fontCollection": "fontCollection"; "fields": "fields"; "color": "color"; "activeTools": "activeTools"; "colorSelected": "colorSelected"; "fontSelected": "fontSelected"; "fontSizeSelected": "fontSizeSelected"; "labelAddField": "labelAddField"; }, { "changeColor": "changeColor"; "changeFont": "changeFont"; "changeFontSize": "changeFontSize"; "clickUnderline": "clickUnderline"; "clickItalic": "clickItalic"; "clickBold": "clickBold"; "clickHighlight": "clickHighlight"; "clickAlignContent": "clickAlignContent"; "clickUnorderedList": "clickUnorderedList"; "clickOrderedList": "clickOrderedList"; "clickLink": "clickLink"; "clickImage": "clickImage"; "clickQuote": "clickQuote"; "clickClear": "clickClear"; "clickSave": "clickSave"; "clickField": "clickField"; }, never, never, false, never>;
}
//# sourceMappingURL=editor-header.d.ts.map