import { ComponentFactoryResolver, Renderer2, ViewContainerRef } from '@angular/core';
import * as i0 from "@angular/core";
export declare class SubMenuService {
    private compiler;
    private renderer;
    private rootMenu;
    private viewSubMenu;
    private viewRootMenu;
    private menu;
    private subMenuItem;
    private listComponents;
    private subMenuData;
    private properties;
    private factoryMenu;
    private subscription;
    private anchorElement;
    private anchorRootElement;
    private subMenuDataSource;
    constructor(compiler: ComponentFactoryResolver);
    setRenderer(render: Renderer2): void;
    setRootMenu(menu: any): void;
    setViewSubMenu(view: ViewContainerRef): void;
    setViewRootMenu(view: ViewContainerRef): void;
    setRootHeightChange(height: any): void;
    setSubMenuData(data: any, properties: any): void;
    setAnchorRootElement(anchorRoot: HTMLElement): void;
    setAnchorElement(anchor: HTMLElement): void;
    createAdvancedMenu(): void;
    handleLoadRootChangeItems(): void;
    createSimpleSubMenu(): void;
    createAdvancedSubMenu(nestedMenu?: any): void;
    handleLoadSubMenu(subMenu: any): void;
    handlePreviousSubMenu(subMenu: any, nestedMenu: any): any;
    handleDockedMenu(): void;
    handleSubItemsAdvancedSubMenu(subMenu: any): void;
    handleSubItemsAdvancedMenu(): void;
    handleSubItemsSimpleSubMenu(subMenu: any): void;
    createNewSubItems(menu: any, type: any, nestedMenu?: any): void;
    setParentNodeSubMenu(item: any): void;
    handleSubMenuAnchor(subMenu: any, index: any): void;
    appendSubMenuAnchor(subMenu: any): void;
    getListComponents(): any[];
    getSubMenus(): any[];
    resetAdvancedMenu(): void;
    closeMenu(): void;
    clearView(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SubMenuService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SubMenuService>;
}
//# sourceMappingURL=submenu.service.d.ts.map