import { AfterViewInit, ElementRef, Renderer2 } from '@angular/core';
import * as i0 from "@angular/core";
export declare class FixedPositionDirective implements AfterViewInit {
    private renderer;
    private hostElement;
    positionY: string;
    positionX: string;
    overlapTrigger: boolean;
    target: any;
    constructor(renderer: Renderer2, hostElement: ElementRef);
    ngAfterViewInit(): void;
    setPositioning(): void;
    private listenScroll;
    private validateTypeTarget;
    private setLeftPosition;
    private setPositionY;
    private setPositionX;
    private setBeforePosition;
    private setAfterPosition;
    private setAbovePosition;
    private setBellowPosition;
    static ɵfac: i0.ɵɵFactoryDeclaration<FixedPositionDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<FixedPositionDirective, "[fixedPosition]", never, { "positionY": "positionY"; "positionX": "positionX"; "overlapTrigger": "overlapTrigger"; "target": "target"; }, {}, never, never, false, never>;
}
//# sourceMappingURL=fixed-position.directive.d.ts.map