import { ChangeDetectorRef, ComponentRef, OnDestroy, OnInit } from '@angular/core';
import { ModalService } from '../../services/modal.service';
import { CurrentModalService } from '../../services/current-modal.service';
import * as i0 from "@angular/core";
export declare class TlModalToolbar implements OnInit, OnDestroy {
    modalService: ModalService;
    private changes;
    private currentModalService;
    containerColor: string;
    height: string;
    color: string;
    modalBoxWidth: number;
    limitStringBox: number;
    container: any;
    wrapper: any;
    isScrolling: boolean;
    activeModal: ComponentRef<any>;
    private subscription;
    constructor(modalService: ModalService, changes: ChangeDetectorRef, currentModalService: CurrentModalService);
    ngOnInit(): void;
    subscribeFrontModal(): void;
    subscribeChanges(): void;
    showWindow(item: ComponentRef<any>): void;
    validateScroll(): void;
    handleArrowRight(): void;
    handleArrowLeft(): void;
    handleScrollFinish(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TlModalToolbar, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TlModalToolbar, "tl-modal-toolbar", never, { "containerColor": "containerColor"; "height": "height"; "color": "color"; "modalBoxWidth": "modalBoxWidth"; "limitStringBox": "limitStringBox"; }, {}, never, never, false, never>;
}
//# sourceMappingURL=modal-toolbar.d.ts.map