import { EventEmitter, OnInit, ChangeDetectorRef, SimpleChanges, OnChanges } from '@angular/core';
import { NavigatorManagerService } from './services/navigator-manager.service';
import * as i0 from "@angular/core";
export declare class TlNavigator implements OnInit, OnChanges {
    navigatorManager: NavigatorManagerService;
    change: ChangeDetectorRef;
    width: string;
    height: string;
    type: 'rangeweek' | 'monthyear' | 'year' | 'rangeyear' | 'day';
    date: Date;
    range: number;
    withBorder: boolean;
    color: string;
    clickPrevious: EventEmitter<any>;
    clickNext: EventEmitter<any>;
    clickNavigator: EventEmitter<any>;
    description: string;
    constructor(navigatorManager: NavigatorManagerService, change: ChangeDetectorRef);
    ngOnInit(): void;
    ngOnChanges(change: SimpleChanges): void;
    onClickPrevious(): void;
    onClickNext(): void;
    onClickNavigator(): void;
    private setDescription;
    static ɵfac: i0.ɵɵFactoryDeclaration<TlNavigator, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TlNavigator, "tl-navigator", never, { "width": "width"; "height": "height"; "type": "type"; "date": "date"; "range": "range"; "withBorder": "withBorder"; "color": "color"; }, { "clickPrevious": "clickPrevious"; "clickNext": "clickNext"; "clickNavigator": "clickNavigator"; }, never, never, false, never>;
}
//# sourceMappingURL=navigator.d.ts.map