import { EventEmitter, AfterContentInit, Renderer2, OnInit } from '@angular/core';
import { CdkConnectedOverlay } from '@angular/cdk/overlay';
import * as i0 from "@angular/core";
export declare class TlOverlayPanel implements OnInit, AfterContentInit {
    private renderer;
    elementOrigin: any;
    width: string;
    show: EventEmitter<any>;
    hide: EventEmitter<any>;
    cdkOverlay: CdkConnectedOverlay;
    isOpen: boolean;
    constructor(renderer: Renderer2);
    ngOnInit(): void;
    ngAfterContentInit(): void;
    private listenElementOrigin;
    private validateNullOrigin;
    private getTargetElement;
    private isElementTlButton;
    onBackdropClick(): void;
    open(): void;
    close(): void;
    toggle(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TlOverlayPanel, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TlOverlayPanel, "tl-overlay-panel", never, { "elementOrigin": "elementOrigin"; "width": "width"; }, { "show": "show"; "hide": "hide"; }, never, ["*"], false, never>;
}
//# sourceMappingURL=overlay-panel.d.ts.map