import { AfterContentInit, OnDestroy, QueryList, Renderer2 } from '@angular/core';
import { TlSidebar } from './parts/sidebar/sidebar';
import { SidebarService } from '../modal/services/sidebar.service';
import * as i0 from "@angular/core";
export declare class TlSidebarContainer implements AfterContentInit, OnDestroy {
    private sidebarService;
    private renderer;
    sidebar: QueryList<TlSidebar>;
    sidebarContent: any;
    private subscription;
    constructor(sidebarService: SidebarService, renderer: Renderer2);
    ngAfterContentInit(): void;
    setSidebarMovement(): void;
    listenResize(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TlSidebarContainer, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TlSidebarContainer, "tl-sidebar-container", never, {}, {}, ["sidebarContent", "sidebar"], ["*"], false, never>;
}
//# sourceMappingURL=sidebar-container.d.ts.map