import { AfterContentInit, EventEmitter, OnDestroy, OnInit, QueryList } from '@angular/core';
import { StepService } from './services/step.service';
import { TlStepForm } from './parts/step-form/step-form';
import * as i0 from "@angular/core";
export declare class TlStep implements OnInit, AfterContentInit, OnDestroy {
    private stepService;
    set initialStep(value: number);
    steps: QueryList<TlStepForm>;
    finish: EventEmitter<any>;
    changeStep: EventEmitter<any>;
    selected: number;
    private subscription;
    get stepsArray(): TlStepForm[];
    constructor(stepService: StepService);
    ngOnInit(): void;
    ngAfterContentInit(): void;
    onChange(): void;
    onFinish(): void;
    closeAll(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TlStep, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TlStep, "tl-step", never, { "initialStep": "initialStep"; }, { "finish": "finish"; "changeStep": "changeStep"; }, ["steps"], ["*"], false, never>;
}
//# sourceMappingURL=step.d.ts.map