import { ElementRef, OnInit, TemplateRef, EventEmitter, ChangeDetectorRef, OnChanges, SimpleChanges } from '@angular/core';
import { TlTimelineItem } from './parts/timeline-item/timeline-item';
import * as i0 from "@angular/core";
export declare class TlTimeline implements OnInit, OnChanges {
    change: ChangeDetectorRef;
    data: any[];
    clearOnUpdateData: boolean;
    align: string;
    height: string;
    keyTitle: string;
    keyText: string;
    keyDate: string;
    rowsPage: number;
    mode: string;
    color: string;
    enableUnequalChildrenSizes: boolean;
    bufferAmount: number;
    lazyLoad: EventEmitter<any>;
    listComponent: ElementRef;
    customTemplate: TemplateRef<any>;
    buffer: any[];
    skip: number;
    loadingMoreData: boolean;
    nothingFound: boolean;
    constructor(change: ChangeDetectorRef);
    ngOnInit(): void;
    onInit(lineItem: TlTimelineItem, item: any, index: any): void;
    ngOnChanges(changes: SimpleChanges): boolean;
    fetchMore(event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TlTimeline, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TlTimeline, "tl-timeline", never, { "data": "data"; "clearOnUpdateData": "clearOnUpdateData"; "align": "align"; "height": "height"; "keyTitle": "keyTitle"; "keyText": "keyText"; "keyDate": "keyDate"; "rowsPage": "rowsPage"; "mode": "mode"; "color": "color"; "enableUnequalChildrenSizes": "enableUnequalChildrenSizes"; "bufferAmount": "bufferAmount"; }, { "lazyLoad": "lazyLoad"; }, ["customTemplate"], never, false, never>;
}
//# sourceMappingURL=timeline.d.ts.map