import { OnInit, OnChanges, OnDestroy, EventEmitter, ElementRef, Renderer2 } from '@angular/core';
import * as i0 from "@angular/core";
export declare class TlToaster implements OnInit, OnChanges, OnDestroy {
    private renderer;
    toasterID: string;
    title: string;
    icon: any;
    message: string;
    position: string;
    time: number;
    progressBar: number;
    color: string;
    width: string;
    height: string;
    progress: boolean;
    showIcon: boolean;
    afterClose: EventEmitter<any>;
    closeEvent: EventEmitter<any>;
    container: ElementRef;
    interval: any;
    timeout: any;
    constructor(renderer: Renderer2);
    ngOnInit(): void;
    animationDone(event: AnimationEvent): void;
    handleClose(): void;
    getMessageKeys(): string[];
    isMessageObject(): boolean;
    close(): void;
    ngOnChanges(changes: any): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TlToaster, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TlToaster, "tl-toaster", never, { "toasterID": "toasterID"; "title": "title"; "icon": "icon"; "message": "message"; "position": "position"; "time": "time"; "progressBar": "progressBar"; "color": "color"; "width": "width"; "height": "height"; "progress": "progress"; "showIcon": "showIcon"; }, { "afterClose": "afterClose"; "closeEvent": "closeEvent"; }, never, never, false, never>;
}
//# sourceMappingURL=toaster.d.ts.map