import { ApplicationRef, ComponentFactoryResolver, Injector } from '@angular/core';
import { ToasterConfig } from '../toaster-config';
import * as i0 from "@angular/core";
export declare class ToasterService {
    private app;
    private injector;
    private compiler;
    private listToasters;
    private toaster;
    private toasterContainer;
    constructor(app: ApplicationRef, injector: Injector, compiler: ComponentFactoryResolver);
    createToaster(toasterConfig: ToasterConfig): void;
    success(toasterConfig: ToasterConfig): void;
    information(toasterConfig: ToasterConfig): void;
    danger(toasterConfig: ToasterConfig): void;
    warning(toasterConfig: ToasterConfig): void;
    private addToaster;
    close(id: string): void;
    getListToasters(): any[];
    static ɵfac: i0.ɵɵFactoryDeclaration<ToasterService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ToasterService>;
}
//# sourceMappingURL=toaster.service.d.ts.map